org.apache.poi.ss.formula

## Interface FormulaParsingWorkbook

- All Known Implementing Classes:
    BaseXSSFEvaluationWorkbook, HSSFEvaluationWorkbook, SXSSFEvaluationWorkbook, XSSFEvaluationWorkbook

      public interface FormulaParsingWorkbook

  Abstracts a workbook for the purpose of formula parsing.
  For POI internal use only
  Author:
    Josh Micich

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `createName()` Return the underlying workbook
    `Ptg` | `get3DReferencePtg(AreaReference area, SheetIdentifier sheet)` Produce the appropriate Ptg for a 3d area reference
    `Ptg` | `get3DReferencePtg(CellReference cell, SheetIdentifier sheet)` Produce the appropriate Ptg for a 3d cell reference
    `int` | `getExternalSheetIndex(java.lang.String sheetName)` gets the externSheet index for a sheet from this workbook
    `int` | `getExternalSheetIndex(java.lang.String workbookName, java.lang.String sheetName)` gets the externSheet index for a sheet from an external workbook
    `EvaluationName` | `getName(java.lang.String name, int sheetIndex)` named range name matching is case insensitive
    `Ptg` | `getNameXPtg(java.lang.String name, SheetIdentifier sheet)` Return an external name (named range, function, user-defined function) Ptg
    `SpreadsheetVersion` | `getSpreadsheetVersion()` Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)
    `Table` | `getTable(java.lang.String name)` XSSF Only - gets a table that exists in the worksheet

- - ### Method Detail

    - #### getName

          EvaluationName getName(java.lang.String name,
                                 int sheetIndex)

      named range name matching is case insensitive

    - #### createName

          Name createName()

      Return the underlying workbook

    - #### getTable

          Table getTable(java.lang.String name)

      XSSF Only - gets a table that exists in the worksheet

    - #### getNameXPtg

          Ptg getNameXPtg(java.lang.String name,
                          SheetIdentifier sheet)

      Return an external name (named range, function, user-defined function) Ptg

    - #### get3DReferencePtg

          Ptg get3DReferencePtg(CellReference cell,
                                SheetIdentifier sheet)

      Produce the appropriate Ptg for a 3d cell reference

    - #### get3DReferencePtg

          Ptg get3DReferencePtg(AreaReference area,
                                SheetIdentifier sheet)

      Produce the appropriate Ptg for a 3d area reference

    - #### getExternalSheetIndex

          int getExternalSheetIndex(java.lang.String sheetName)

      gets the externSheet index for a sheet from this workbook

    - #### getExternalSheetIndex

          int getExternalSheetIndex(java.lang.String workbookName,
                                    java.lang.String sheetName)

      gets the externSheet index for a sheet from an external workbook
      Parameters:
        `workbookName` - e.g. "Budget.xls"
        `sheetName` - a name of a sheet in that workbook

    - #### getSpreadsheetVersion

          SpreadsheetVersion getSpreadsheetVersion()

      Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.